Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html2
Interface HTMLOListElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  JRexHTMLOListElementImpl

public interface HTMLOListElement
extends HTMLElement

Ordered list. See the OL element definition in HTML 4.01.

See also the Document Object Model (DOM) Level 2 HTML Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `getCompact()` Reduce spacing between list items.
`int` | `getStart()` Starting sequence number.
`String` | `getType()` Numbering style.
`void` | `setCompact(boolean compact)` Reduce spacing between list items.
`void` | `setStart(int start)` Starting sequence number.
`void` | `setType(String type)` Numbering style.

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getCompact

    public boolean getCompact()

  Reduce spacing between list items. See the compact attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### setCompact

    public void setCompact(boolean compact)

  Reduce spacing between list items. See the compact attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### getStart

    public int getStart()

  Starting sequence number. See the start attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### setStart

    public void setStart(int start)

  Starting sequence number. See the start attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### getType

    public String getType()

  Numbering style. See the type attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

### setType

    public void setType(String type)

  Numbering style. See the type attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.